# TextFileReceiver Class Reference

Inheritance diagram for TextFileReceiver:
[legend]

List of all members.

## Public Member Functions

| setQueue (MessageQueue $queue)
| getQueue ()
| receive ($uTimeout=null)

## Static Public Member Functions

static | create ()

## Private Member Functions

| getStream ()

## Private Attributes

| $queue = null
| $stream = null

## Detailed Description

Definition at line 12 of file TextFileReceiver.class.php.

## Member Function Documentation

static TextFileReceiver::create | ( |  | ) | `[static]`

Returns:
  TextFileReceiver

Definition at line 20 of file TextFileReceiver.class.php.

Referenced by getStream(), and receive().

TextFileReceiver::getQueue | ( |  | ) |

Returns:
  MessageQueue

Implements MessageQueueReceiver.

Definition at line 40 of file TextFileReceiver.class.php.

Referenced by receive().

TextFileReceiver::getStream | ( |  | ) | `[private]`

Returns:
  FileInputStream

Definition at line 82 of file TextFileReceiver.class.php.

References create(), and Assert::isNotNull().

Referenced by receive().

Here is the call graph for this function:

TextFileReceiver::receive | ( | $ | uTimeout = `null` | ) |

Returns:
  Message

Implements MessageQueueReceiver.

Definition at line 48 of file TextFileReceiver.class.php.

References Timestamp::create(), create(), getQueue(), getStream(), and Assert::isNotNull().

Here is the call graph for this function:

TextFileReceiver::setQueue | ( | MessageQueue $ | queue | ) |

Returns:
  TextFileReceiver

Definition at line 28 of file TextFileReceiver.class.php.

References Assert::isInstance().

Here is the call graph for this function:

## Member Data Documentation

TextFileReceiver::$queue = null`[private]`

Definition at line 14 of file TextFileReceiver.class.php.

TextFileReceiver::$stream = null`[private]`

Definition at line 15 of file TextFileReceiver.class.php.

The documentation for this class was generated from the following file:

- main/Messages/TextFileReceiver.class.php